com.unitech.lib.uhf.types

## Enum BankType

- java.lang.Object
- - java.lang.Enum<BankType>
  - - com.unitech.lib.uhf.types.BankType

- All Implemented Interfaces:
    IEnumType, java.io.Serializable, java.lang.Comparable<BankType>

      public enum BankType
      extends java.lang.Enum<BankType>
      implements IEnumType

  The BankType enumeration specifies the memory bank of the RFID UHF tag.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EPC`
    `Reserved`
    `TID`
    `User`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()` Get the enum code value
    `static java.lang.String[]` | `names()` Returns an array containing the name of this enum type.
    `java.lang.String` | `toString()` Return the name of the enum
    `static BankType` | `valueOf(int code)` Returns the enum constant of this type with the specified code.
    `static BankType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static BankType` | `valueOfName(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static BankType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Reserved

          public static final BankType Reserved

    - #### EPC

          public static final BankType EPC

    - #### TID

          public static final BankType TID

    - #### User

          public static final BankType User

  - ### Method Detail

    - #### values

          public static BankType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BankType c : BankType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BankType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Description copied from interface: `IEnumType`
      Get the enum code value
      Specified by:
        `getCode` in interface `IEnumType`
      Returns:
        The code value

    - #### toString

          public java.lang.String toString()

      Description copied from interface: `IEnumType`
      Return the name of the enum
      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `java.lang.Enum<BankType>`
      Returns:
        The name of the enum

    - #### valueOf

          public static BankType valueOf(int code)

      Returns the enum constant of this type with the specified code.
      Parameters:
        `code` - The code to check
      Returns:
        The enum constant with the specified code

    - #### valueOfName

          public static BankType valueOfName(java.lang.String name)

      Returns the enum constant of this type with the specified name.
      Parameters:
        `name` - The name to check.
      Returns:
        The enum constant with the specified name.

    - #### names

          public static java.lang.String[] names()

      Returns an array containing the name of this enum type.
      Returns:
        An array containing the name of this enum type.